Resource Center/Elastic Bare Metal Management(Plus)
POSTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required
AttachBareMetal2GatewayToCluster
AttachBareMetal2GatewayToCluster
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
clusterUuidStringRequiredThe cluster UUID.
gatewayUuidStringRequiredThe gateway UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/baremetal2/clusters/{clusterUuid}/gateways/{gatewayUuid}
/zstack/v1/baremetal2/clusters/{clusterUuid}/gateways/{gatewayUuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/baremetal2/clusters/{clusterUuid}/gateways/{gatewayUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "username": "username", "password": "password", "sshPort": 22.0, "zoneUuid": "27aafe8965d54cbcbfe96efb6f2d987b", "name": "BM_GATEWAY", "uuid": "2c28e0ba594b479fa4fd6ec29187a055", "description": "This is a bare metal gateway.", "managementIp": "192.168.0.10", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
